"use strict";

const express = require("express");
const knex = require("knex");
const path = require("path");

const config = require("./config.json");
const indexRouters = require("./routers/index");

let db = knex({ /* ... config options go here ... */});

let dependencies = {
	db: db,
	config: config
};

let app = express();

app.set("view engine", "pug");
app.set("views", path.join(__dirname, "views"));

app.use(indexRouters(dependencies));

app.listen(3000);